package com.bonus.canteen.core.supply.purchase.domain.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpSmMaterialInquiryPageDTO {
   @ApiModelProperty("货品招标单号")
   private String materialInquiryId;
   @ApiModelProperty("货品招标标题")
   private String materialInquiryTitle;
   @ApiModelProperty("决标状态(1-已报价,2-未报价,3-已中标,4-未中标)")
   private Integer bidStatus;
   @ApiModelProperty("是否供应商功能")
   private Integer ifSupplier;
   @ApiModelProperty("模糊查询:货品招标单号或者标题")
   private String keyword;
   public String getMaterialInquiryId() {
      return this.materialInquiryId;
   }

   public String getMaterialInquiryTitle() {
      return this.materialInquiryTitle;
   }

   public Integer getBidStatus() {
      return this.bidStatus;
   }

   public Integer getIfSupplier() {
      return this.ifSupplier;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public DrpSmMaterialInquiryPageDTO setMaterialInquiryId(final String materialInquiryId) {
      this.materialInquiryId = materialInquiryId;
      return this;
   }

   public DrpSmMaterialInquiryPageDTO setMaterialInquiryTitle(final String materialInquiryTitle) {
      this.materialInquiryTitle = materialInquiryTitle;
      return this;
   }

   public DrpSmMaterialInquiryPageDTO setBidStatus(final Integer bidStatus) {
      this.bidStatus = bidStatus;
      return this;
   }

   public DrpSmMaterialInquiryPageDTO setIfSupplier(final Integer ifSupplier) {
      this.ifSupplier = ifSupplier;
      return this;
   }

   public DrpSmMaterialInquiryPageDTO setKeyword(final String keyword) {
      this.keyword = keyword;
      return this;
   }

}
